<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.yida.data</groupId>
  <artifactId>febs-cloud</artifactId>
  <version>2.2-RELEASE</version>
  <packaging>pom</packaging>

  <name>FEBS-Cloud</name>

  <modules>
    <module>febs-common</module>
    <module>febs-server</module>
    <module>febs-gateway</module>
    <module>edu-auth</module>
  </modules>

  <parent>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.3.12.RELEASE</version>
    <relativePath/> <!-- lookup parent from repository -->
  </parent>
  <profiles>
    <profile>
      <id>dev</id>
      <properties>
        <env-name>dev</env-name>
      </properties>
    </profile>
    <profile>
      <id>prod</id>
      <properties>
        <env-name>prod</env-name>
      </properties>
    </profile>
  </profiles>

  <properties>
    <java.version>1.8</java.version>
    <febs-cloud.version>2.2-RELEASE</febs-cloud.version>
    <spring-cloud.version>Hoxton.SR12</spring-cloud.version>
    <spring-gateway.version>2.2.8.RELEASE</spring-gateway.version>
    <com-alibaba-cloud.version>2.2.5.RELEASE</com-alibaba-cloud.version>
    <codingapi.txlcn.version>5.0.2.RELEASE</codingapi.txlcn.version>
    <fastjson.version>1.2.70</fastjson.version>
    <hutool.version>5.6.4</hutool.version>
    <xml-api.version>1.4.01</xml-api.version>
    <ip2region.version>1.7</ip2region.version>
    <excelkit.version>2.0.71</excelkit.version>
    <mybatis-plus.version>3.4.3.4</mybatis-plus.version>
    <dynamic-datasource.version>3.3.6</dynamic-datasource.version>
    <p6spy.version>3.8.5</p6spy.version>
    <spring-boot-admin.version>2.2.0</spring-boot-admin.version>
    <easy-captcha.version>1.6.2</easy-captcha.version>
    <logstash-logback-encoder.version>6.1</logstash-logback-encoder.version>
    <justauth.version>1.1.0</justauth.version>
    <jjwt.version>0.9.1</jjwt.version>
    <knife4j.version>3.0.3</knife4j.version>
    <springfox.version>3.0.0</springfox.version>
    <swagger.version>1.6.2</swagger.version>
    <poi.version>5.0.0</poi.version>
    <seata.version>1.3.0</seata.version>
    <druid.version>1.2.6</druid.version>
    <redisson.version>3.15.6</redisson.version>
    <thumbnailator.version>0.4.14</thumbnailator.version>
    <paho.mqttv3.version>1.2.5</paho.mqttv3.version>
    <wxpay.apiv3.version>0.2.2</wxpay.apiv3.version>
    <easyexcel.version>2.2.10</easyexcel.version>
    <emoji.version>5.1.1</emoji.version>
    <qr.code.version>3.3.0</qr.code.version>
    <jsqlparser.version>4.1</jsqlparser.version>
    <opencv.version>3.4.2-2</opencv.version>
    <pagehelper.version>1.3.0</pagehelper.version>
    <persistence.version>1.0</persistence.version>
    <maven-jar-plugin.version>3.2.0</maven-jar-plugin.version>
    <ansj.version>5.1.6</ansj.version>
    <baidu.api.version>4.16.16</baidu.api.version>
  </properties>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.springframework.cloud</groupId>
        <artifactId>spring-cloud-dependencies</artifactId>
        <version>${spring-cloud.version}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
      <dependency>
        <groupId>com.alibaba.cloud</groupId>
        <artifactId>spring-cloud-alibaba-dependencies</artifactId>
        <version>${com-alibaba-cloud.version}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <build>
    <resources>
      <resource>
        <filtering>true</filtering>
        <directory>${basedir}/src/main/resources</directory>
        <includes>
          <include>**/bootstrap*.yml</include>
          <include>**/bootstrap*.yaml</include>
          <include>**/bootstrap*.properties</include>
        </includes>
      </resource>
      <resource>
        <directory>${basedir}/src/main/resources</directory>
        <excludes>
          <exclude>**/bootstrap*.yml</exclude>
          <exclude>**/bootstrap*.yaml</exclude>
          <exclude>**/bootstrap*.properties</exclude>
        </excludes>
      </resource>
    </resources>
  </build>
</project>